Page MenuHomePhabricator

Confusion between Wikidata rank and value switches
Closed, ResolvedPublic

Description

I made tens of thousands edits in Wikidata, I understand the semantics of both switch icons, but every time when I need to change one of them, I have to hang out for a second to choose which one. It's very, very annoying.

This is because that they both look like a set of empty and filled rectangles.

I do not have good ideas what to do with the value switch, so I can offer only the idea for priority switch (this is just a draft, I think that there is no need to be tied to the pixel grid, and it is possible to draw it more nice).


Even if it will not look as nice as the squares, it will be exactly look more clear and accessibly.

Event Timeline

putnik created this task.Mar 6 2016, 3:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2016, 3:32 PM
putnik updated the task description. (Show Details)Mar 6 2016, 3:33 PM
putnik added a comment.EditedMar 11 2016, 11:05 PM

The second try, without rectangles at all. Retina and normal versions:


UPD: Or little different version.

Change 283965 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Replace rank selector icon with wider SVG image

https://gerrit.wikimedia.org/r/283965

Change 283965 merged by jenkins-bot:
Replace rank selector icon with wider SVG image

https://gerrit.wikimedia.org/r/283965

thiemowmde closed this task as Resolved.Apr 19 2016, 9:45 AM
thiemowmde claimed this task.
thiemowmde edited projects, added Wikidata-Sprint-2016-04-12; removed Patch-For-Review.

Thanks a lot for the very helpful suggestions. Very much appreciated. We picked what we found is the best of all your drafts and redid both icons in SVG, resized and realigned them.

Old on the left vs. new on the right. Normal resolution on top, double resolution on the bottom.

Charlie_WMDE moved this task from Incoming to Done on the WMDE-Design board.Nov 8 2016, 4:02 PM